Ubuntu

10ec:8176 WLAN card cannot be activated, it is hard-rfkill-ed and fn-f2 does not work

Reported by Sourcerer on 2011-10-27
30
This bug affects 6 people
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
linux (Ubuntu)
Critical
Unassigned
Nominated for Raring by Jeff Marcom
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned

Bug Description

Notebook: Quanta TWH 540 / Dimotion Strongbook X2
Chipset: Intel HM65
WLAN card: RTL8188CE (driver RTL8192CE should work)

I cannot activate the WLAN card, it is hardware-rfkilled
I have collected various details here, please take a look there:
http://openetherpad.org/Rtl8188CE

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: linux-image-3.0.0-12-generic-pae 3.0.0-12.20 [modified: lib/modules/3.0.0-12-generic-pae/kernel/drivers/net/wireless/rtlwifi/rtl8192ce/rtl8192ce.ko lib/modules/3.0.0-12-generic-pae/kernel/drivers/net/wireless/rtlwifi/rtl8192se/rtl8192se.ko lib/modules/3.0.0-12-generic-pae/kernel/drivers/net/wireless/rtlwifi/rtlwifi.ko]
ProcVersionSignature: Ubuntu 3.0.0-12.20-generic-pae 3.0.4
Uname: Linux 3.0.0-12-generic-pae i686
NonfreeKernelModules: nvidia
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.23-0ubuntu3
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: PCH [HDA Intel PCH], device 0: ALC269VB Analog [ALC269VB Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: philipp 1792 F.... pulseaudio
CRDA:
 country EC:
  (2402 - 2482 @ 40), (N/A, 20)
  (5170 - 5250 @ 20), (3, 17)
  (5250 - 5330 @ 20), (3, 23), DFS
  (5735 - 5835 @ 20), (3, 30)
Card0.Amixer.info:
 Card hw:0 'PCH'/'HDA Intel PCH at 0xd9800000 irq 44'
   Mixer name : 'Intel CougarPoint HDMI'
   Components : 'HDA:10ec0269,152d0873,00100100 HDA:80862805,80860101,00100000'
   Controls : 18
   Simple ctrls : 10
Date: Thu Oct 27 21:59:51 2011
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427)
MachineType: Quanta TWH
ProcEnviron:
 LANGUAGE=de_AT:de
 PATH=(custom, no user)
 LANG=de_AT.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-12-generic-pae root=UUID=782cd86a-ce15-480d-8f80-211b6c2eadf9 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.0.0-12-generic-pae N/A
 linux-backports-modules-3.0.0-12-generic-pae N/A
 linux-firmware 1.60
SourcePackage: linux
StagingDrivers: mei
UpgradeStatus: Upgraded to oneiric on 2011-10-23 (4 days ago)
dmi.bios.date: 04/25/2011
dmi.bios.vendor: INSYDE
dmi.bios.version: QS142
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: TWH
dmi.board.vendor: Quanta
dmi.board.version: TBD
dmi.chassis.asset.tag: Chassis Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: Quanta
dmi.chassis.version: US
dmi.modalias: dmi:bvnINSYDE:bvrQS142:bd04/25/2011:svnQuanta:pnTWH:pvr04:rvnQuanta:rnTWH:rvrTBD:cvnQuanta:ct10:cvrUS:
dmi.product.name: TWH
dmi.product.version: 04
dmi.sys.vendor: Quanta

Sourcerer (pg-futureware) wrote :
Brad Figg (brad-figg) on 2011-10-27
Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . If possible, please test the latest kernel (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the others). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed by the mainline kernel, please add the following tag 'kernel-fixed-upstream-KERNEL-VERSION'. For example, if kernel version 3.1-rc9 fixed and issue, the tag would be: 'kernel-fixed-upstream-v3.1-rc9'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Thanks in advance.

tags: added: needs-upstream-testing
Sourcerer (pg-futureware) wrote :

I can reproduce it on Linux version 3.1.0-030100rc10-generic (root@gomeisa) (gcc version 4.6.1 (Ubuntu/Linaro 4.6.1-9ubuntu3) ) #201110200610 SMP Thu Oct 20 10:20:00 UTC 2011

tags: added: kernel-bug-exists-upstream
Sourcerer (pg-futureware) wrote :

I have unsuccessfully tried ndiswrapper with the windows driver, but it needs functions that ndiswrapper does not offer (yet):
[ 192.223720] ndiswrapper (import:233): unknown symbol: ntoskrnl.exe:'_aulldvrm'
[ 192.223810] ndiswrapper (import:233): unknown symbol: ntoskrnl.exe:'IoWMIQueryAllData'
[ 192.223823] ndiswrapper (import:233): unknown symbol: ntoskrnl.exe:'IoWMIOpenBlock'

Joseph Salisbury (jsalisbury) wrote :

This issue appears to be an upstream bug, since you tested the latest upstream kernel. Would it be possible for you to open an upstream bug report at bugzilla.kernel.org [1]? That will allow the upstream Developers to examine the issue, and may provide a quicker resolution to the bug.

If you are comfortable with opening a bug upstream, It would be great if you can report back the upstream bug number in this bug report. That will allow us to link this bug to the upstream report.

The bugzilla.kernel.org may still be unavailable due to the recent break-in. One alternative would be to report this directly to the subsystem maintainer or to the Linux Kernel Mailing List - <email address hidden>

[1] https://wiki.ubuntu.com/Bugs/Upstream/kernel

Changed in linux (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Medium
Sourcerer (pg-futureware) wrote :

The good news: There is a workaround: Installing Windows Vista/2008/7 (Windows XP/... does NOT work!), installing wlan driver + installing hotkey drivers, then pushing FN+F2 button on keyboard, to enable WLAN. Luckily the hardware remembers that the WLAN is switched even after reboots/power-off, and that way, it works with Linux.
So obviously, the hardware rf-kill is software/driver dependent, not really done in hardware.
I will try to figure out, which driver exactly does the rf-kill, and how it does it.

Sourcerer (pg-futureware) wrote :

I have analyzed the HotKey Driver for Windows now. It seems, that it contains 2 parts:
HotKeyOSD.exe captures the keyboard event for FN+F2, and then sends a Windows Message to NButilps.exe, which then activates/deactivates the WLAN.
In the MMKEYBD.CFG, I found the Key#10 line, which is responsible for the WLAN. (Deactivating this line invalidated the FN+F2 function)
[Common HotKey Hook for WinNT]

Key Count = 11

Key #0 = 0,B3,22,1,1,0604,Play/Pause

Key #1 = 0,B2,24,1,1,0602,Stop

Key #2 = 0,B1,10,1,1,0611,Previous

Key #3 = 0,B0,19,1,1,0610,Next Track

Key #4 = 1,AD,20,1,1,0500,Mute

Key #5 = 1,AF,30,1,1,0501,Volume Up

Key #6 = 1,AE,2E,1,1,0502,Volume Down

Key #7 = 0,90,45,1,1,9001,NumLock

Key #8 = 0,91,46,0,0,9002,ScrollLock

Key #9 = 0,14,3A,0,0,9003,CapsLock

Key #10 = 1,FF,70,1,1,F900,Communication Key (WLAN-RFKILL)

Sourcerer (pg-futureware) wrote :

According to the comments in the NButilps.exe, it was developed by Dritek (www.dritek.com.tw) specially for Quanta

Jeff Marcom (jeffmarcom) wrote :

*-pci:1
             description: PCI bridge
             product: Family 14h Processor Root Port
             vendor: Hynix Semiconductor (Hyundai Electronics)
             physical id: 5
             bus info: pci@0000:00:05.0
             version: 00
             width: 32 bits
             clock: 33MHz
             capabilities: pci pm pciexpress msi ht normal_decode bus_master cap_list
             configuration: driver=pcieport
             resources: irq:41 ioport:1000(size=4096) memory:90100000-901fffff
           *-network DISABLED
                description: Wireless interface
                product: RTL8188CE 802.11b/g/n WiFi Adapter
                vendor: Realtek Semiconductor Co., Ltd.
                physical id: 0
                bus info: pci@0000:02:00.0
                logical name: wlan0
                version: 01
                serial: 9c:b7:0d:79:c6:cb
                width: 64 bits
                clock: 33MHz
                capabilities: pm msi pciexpress bus_master cap_list ethernet physical wireless
                configuration: broadcast=yes driver=rtl8192ce driverversion=3.5.0-24-generic firmware=N/A latency=0 link=no multicast=yes wireless=IEEE 802.11bgn
                resources: irq:17 ioport:1000(size=256) memor

Jeff Marcom (jeffmarcom) wrote :

This is still an issue with 12.04.2 and blocks several lenovo configurations.

Changed in linux (Ubuntu):
status: Triaged → New
tags: added: precise quantal
tags: added: blocks-hwcert
tags: added: blocks-hw-enablement
tags: added: blocks-hwcert-enablement
Changed in linux (Ubuntu):
assignee: nobody → Canonical Hardware Enablement Team (canonical-hwe-team)

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Jeff Marcom (jeffmarcom) on 2013-02-14
tags: removed: needs-upstream-testing
tags: added: 201204-10856 lexington-lab
James M. Leddy (jm-leddy) wrote :

Okay, I've gone back and talked with people that were responsible for the enablement of this machine. As far as I remember, these were not branded thinkpads, yet their platform driver is thinkpad-acpi since they have the same chip basically. We have a PPA out there that is continually updated for the Lenovo and thinkpad machines, and I'm pretty sure the version of thinkpad-acpi fixes that.

We also have code here, but it is not public: https://bazaar.launchpad.net/~oem-solutions-engineers/sutton/thinkpad-acpi/changes

There have also been reports that resetting the bios fixes these issues, but I'm not certain on that : http://thecowgirlcoder.com/2012/10/18/lenovo-z570-phy0-hard-blocked-solution/

James M. Leddy (jm-leddy) wrote :

bug 1026815 shows that we're definitely loading thinkpad-acpi on the b475e machines.

Raymond Martin (laseray) wrote :

Workaround for this bug in my case is to blacklist the specific wireless kernel module and fall back on phys0 that was being used in version priro to 11.10. I filed a duplicate bug: https://bugs.launchpad.net/ubuntu/+bug/874229

I just added the following to /etc/modprobe.d/blacklist.conf and after reboot or unload/reload modules all is well.

# hp wireless issues under 3.x kernel?
 blacklist hp_wmi

I did this for two laptops with almost the same specs.

Check and see if you have more than one module for wifi trying to load and figure out the proper name to blacklist, not the same as indicated by rfkill necessarily.

Yang Kun (YK) (dayangkuncn) wrote :

@haitao, hi haitao, please take a look at this bug and investigate the latest status.

Changed in linux (Ubuntu):
assignee: Canonical Hardware Enablement Team (canonical-hwe-team) → Haitao Zhang (minipanda)
importance: Medium → High
Yang Kun (YK) (dayangkuncn) wrote :

@haitao, do you have any update ?

Changed in linux (Ubuntu):
importance: High → Critical
Haitao Zhang (minipanda) wrote :

@Jeff, since WLAN is been blocked by hardware PIN, there is no easy way to turn it on under Linux in a software way.
the best solution is to see if Quanta willing to release a Thinkpad ACPI spec including how to do it from WMI interface like Windows app, then we can try to implement a thinkpad_wmi driver similar to hp_wmi(?) to control it.
or there is another thing we can try is to check whether Quanta provide some hardware options for turn on/off accessories like WLAN in their latest BIOS.
the last thing to try is to 'Load Defaults' in BIOS, some ODM BIOS will do a sane way to setup for most of the hardware with it's default configuration, then maybe accessories like WLAN and BT may turned on in this mode.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Precise):
status: New → Confirmed
Changed in linux (Ubuntu Quantal):
status: New → Confirmed
James M. Leddy (jm-leddy) wrote :

Fwiw, there are reports online that installing Windows and then re-installing ubuntu while blacklisting hp-wmi driver will fix the problem.

Changed in hwe-next:
status: New → Confirmed
Anthony Wong (anthonywong) wrote :

Hi Jeff, I think it's better to file a new bug for your platform as the hardware is different from the original bug. Having said that, please check BIOS for any settings related to wireless and make sure they are sane. Please also try the BIOS settings for restoring to factory default.

Sourcerer, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.11-rc5

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

summary: - WLAN card cannot be activated, it is hard-rfkill-ed and fn-f2 does not
- work
+ 10ec:8176 WLAN card cannot be activated, it is hard-rfkill-ed and fn-f2
+ does not work
Changed in linux (Ubuntu):
assignee: Haitao Zhang (minipanda) → nobody
status: Confirmed → Incomplete
Anders (eddiedog988) on 2014-03-13
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers